View Issue Details

IDProjectCategoryView StatusLast Update
0001145bareos-core[All Projects] installer / packagespublic2019-12-09 14:36
ReporterromansAssigned Tojoergs 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSCentOSOS Version8
Product Version19.2.4~pre 
Fixed in Version 
Summary0001145: CentOS 8 + Python3 and Python-Bareos packages
DescriptionHello,

Is it normal that the current version of of PYTHON-BAREOS cannot be running/installed on CentOS 8 with ONLY Python3 installed ?

With current situation, I cannot even test it in the way I need ...

Thank you.
Steps To Reproduce[root@test-centos-8 ~]# rpm -ihv python-bareos-19.2.4~pre1035.d5f227724-303.el8.x86_64.rpm
warning: python-bareos-19.2.4~pre1035.d5f227724-303.el8.x86_64.rpm: Header V4 RSA/SHA256 Signature, key ID dfef9127: NOKEY
error: Failed dependencies:
        /usr/bin/python2 is needed by python-bareos-19.2.4~pre1035.d5f227724-303.el8.x86_64
        python(abi) = 2.7 is needed by python-bareos-19.2.4~pre1035.d5f227724-303.el8.x86_64
        python2-dateutil is needed by python-bareos-19.2.4~pre1035.d5f227724-303.el8.x86_64
[root@test-centos-8 ~]#
[root@test-centos-8 ~]# rpm -ihv bareos-filedaemon-python-plugin-19.2.4~pre1035.d5f227724-303.el8.x86_64.rpm bareos-filedaemon-19.2.4~pre1035.d5f227724-303.el8.x86_64.rpm bareos-common-19.2.4~pre1035.d5f227724-303.el8.x86_64.rpm
warning: bareos-filedaemon-python-plugin-19.2.4~pre1035.d5f227724-303.el8.x86_64.rpm: Header V4 RSA/SHA256 Signature, key ID dfef9127: NOKEY
error: Failed dependencies:
        libpython2.7.so.1.0()(64bit) is needed by bareos-filedaemon-python-plugin-19.2.4~pre1035.d5f227724-303.el8.x86_64
[root@test-centos-8 ~]#
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impactyes
bareos-19.2: actionfixed
bareos-18.2: impactno
bareos-18.2: action
bareos-17.2: impactno
bareos-17.2: action
bareos-16.2: impactno
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

joergs

joergs

2019-12-02 20:34

administrator   ~0003642

https://github.com/bareos/bareos/pull/314 implements Python 3 support for python-bareos which hopefully gets merged soon.
The packages from this are also available at http://download.bareos.org/bareos/experimental/CD/PR-314/CentOS_8/

It would be helpful, if you could test them. If in your opinion they are ready to merge, a comment in PR314 might help to speed up the process.
romans

romans

2019-12-03 09:00

reporter   ~0003643

Last edited: 2019-12-03 09:04

View 2 revisions

Hello,

I have found "python3-bareos" RPM package and tried to install it:

[root@test-centos-8 ~]# wget http://download.bareos.org/bareos/experimental/CD/PR-314/CentOS_8/noarch/python3-bareos-19.2.4~pre1080.83be0d053-29.el8.noarch.rpm
--2019-12-03 08:01:37-- http://download.bareos.org/bareos/experimental/CD/PR-314/CentOS_8/noarch/python3-bareos-19.2.4~pre1080.83be0d053-29.el8.noarch.rpm
Resolving download.bareos.org (download.bareos.org)... 185.170.114.121, 2a03:4000:15:27f::1
Connecting to download.bareos.org (download.bareos.org)|185.170.114.121|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 46280 (45K) [application/x-rpm]
Saving to: ‘python3-bareos-19.2.4~pre1080.83be0d053-29.el8.noarch.rpm’

python3-bareos-19.2.4~pre1080.83b 100%[==========================================================>] 45.20K --.-KB/s in 0.02s

2019-12-03 08:01:37 (2.05 MB/s) - ‘python3-bareos-19.2.4~pre1080.83be0d053-29.el8.noarch.rpm’ saved [46280/46280]

[root@test-centos-8 ~]#
[root@test-centos-8 ~]#
[root@test-centos-8 ~]# rpm -ihv python3-bareos-19.2.4~pre1080.83be0d053-29.el8.noarch.rpm
warning: python3-bareos-19.2.4~pre1080.83be0d053-29.el8.noarch.rpm: Header V4 RSA/SHA256 Signature, key ID dfef9127: NOKEY
Verifying... ################################# [100%]
Preparing... ################################# [100%]
Updating / installing...
   1:python3-bareos-19.2.4~pre1080.83b################################# [100%]
[root@test-centos-8 ~]#

it looks better now.

My version of PYTHON:

[root@test-centos-8 ~]# which python
/usr/bin/python
[root@test-centos-8 ~]# /usr/bin/python -V
Python 3.6.8
[root@test-centos-8 ~]#
[root@test-centos-8 ~]# ls -la /usr/bin/python
lrwxrwxrwx 1 root root 16 Nov 27 14:43 /usr/bin/python -> /usr/bin/python3
[root@test-centos-8 ~]#
[root@test-centos-8 ~]# rpm -qf /usr/bin/python3
python36-3.6.8-2.module_el8.0.0+33+0a10c0e1.x86_64
[root@test-centos-8 ~]#

I will do some more tests with it.

Thank you.

joergs

joergs

2019-12-09 14:36

administrator   ~0003649

The relevant PR is merged now and packages are available at http://download.bareos.org/bareos/experimental/nightly/.

I'm closing this ticket now. Please reopen or create a new one if problems occur.

Issue History

Date Modified Username Field Change
2019-11-27 15:50 romans New Issue
2019-12-02 20:34 joergs Assigned To => joergs
2019-12-02 20:34 joergs Status new => feedback
2019-12-02 20:34 joergs Note Added: 0003642
2019-12-02 20:34 joergs bareos-master: impact => yes
2019-12-02 20:34 joergs bareos-master: action => will care
2019-12-02 20:34 joergs bareos-19.2: impact => yes
2019-12-02 20:34 joergs bareos-18.2: impact => no
2019-12-02 20:34 joergs bareos-17.2: impact => no
2019-12-02 20:34 joergs bareos-16.2: impact => no
2019-12-03 09:00 romans Note Added: 0003643
2019-12-03 09:00 romans Status feedback => assigned
2019-12-03 09:04 romans Note Edited: 0003643 View Revisions
2019-12-03 09:39 joergs Status assigned => feedback
2019-12-09 14:36 joergs Status feedback => resolved
2019-12-09 14:36 joergs Resolution open => fixed
2019-12-09 14:36 joergs bareos-master: action will care => fixed
2019-12-09 14:36 joergs bareos-19.2: action => fixed
2019-12-09 14:36 joergs Note Added: 0003649